List incidents for a monitor
GET
/monitors/{monitor_id}/incidents
const url = 'https://api.perstat.io/monitors/example/incidents';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.perstat.io/monitors/example/incidents \ --header 'Authorization: Bearer <token>'Returns up to 50 recent incidents for the monitor, including status, severity, cause, affected regions, and start and resolution timestamps. Requires membership in the monitor’s organization. Accepts API keys.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”monitor_id
required
string
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
cause
required
string
down_regions
required
Array<string>
id
required
string
monitor_id
required
string
monitor_name
string | null
project_name
string | null
region_count
required
integer format: int32
resolved_at_unix
integer | null format: int64
severity
required
string
started_at_unix
required
integer format: int64
status
required
string
Examplegenerated
[ { "cause": "example", "down_regions": [ "example" ], "id": "example", "monitor_id": "example", "monitor_name": "example", "project_name": "example", "region_count": 1, "resolved_at_unix": 1, "severity": "example", "started_at_unix": 1, "status": "example" }]